Redmine - Feature #2209

MIME type support for repository Entries
2008-11-17 20:56 - Vincent Castellano

Status: Closed Start date: 2008-11-17
Priority: Normal Due date:

Assignee: % Done: 70%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Fixed

Description

| didn't like that images didn't just load in the browser that were in a repository, and felt there should be some MIME support, so |
gave it a shot. | think it works for any files (with MIME type or not, which just defaults to the old behavior). | don't know the Redmine

code base well, and I'm not a Ruby programmer, so it was a quick attempt.

Related issues:

Related to Redmine - Feature #4477: Use mime types in downloading from reposi... Closed
Related to Redmine - Defect #6256: Redmine considers non ASCIl and UTF-16 tex... Closed
Related to Redmine - Patch #3770: text/html documents force currently firefox... Closed
Related to Redmine - Feature #6374: File raw view mode Closed
Related to Redmine - Feature #5055: Set mime-type in response when downloadin... Closed
Related to Redmine - Defect #6370: UTF-8 BOM only partially hidden Closed
Related to Redmine - Feature #4577: convert text file attached an issue to ut... Closed

2009-12-23
2010-08-31
2009-08-23
2010-09-12
2010-03-11
2010-09-12
2010-01-14

History

#1 - 2008-11-17 20:57 - Vincent Castellano
- File MimeType.patch added

#2 - 2008-11-18 01:30 - Chris Cummer
A slight fix: | think line #125 should read:

send_data @content, :filename => fn, :type => type,

rather than:

send_data @content, :filename => fn, :type => type,

#3 - 2008-11-18 09:16 - Patrick Hurrelmann

+1, I like it very much. It keeps annoying me that files won't open in the browser even if the mime-type in the repository are set properly.

#4 - 2009-07-16 14:45 - Ammler _

+1

#5 - 2009-07-18 18:16 - Chris Grieger
- File dI_repo_files_with_MimeType_r2823.patch added

Patch for the current #2823 revision.

#6 - 2011-03-23 10:57 - Toshi MARUYAMA
- Category set to SCM

#7 - 2011-03-23 10:59 - Toshi MARUYAMA
- Status changed from New to 7

- Assignee set to Toshi MARUYAMA

#8 - 2011-03-23 12:09 - Toshi MARUYAMA
:disposition => 'inline'

=> 'inline'
https://www.redmine.org/issues/125
https://www.redmine.org/issues/2823

- Tracker changed from Patch to Feature

#9 - 2011-03-23 12:12 - Toshi MARUYAMA
- % Done changed from 0 to 70

As | described at #4477, | implemented this feature at r5210.
| don't know whether "inline" needs or not.

#10 - 2013-01-13 21:06 - Jean-Philippe Lang

- Status changed from 7 to New

#11 - 2013-01-13 23:10 - Toshi MARUYAMA
- Assignee deleted (Toshi MARUYAMA)

#12 - 2022-12-29 08:29 - Go MAEDA

- Resolution set to Fixed

The request to display repository images inline was implemented in #10362 and #22058.

#13 - 2022-12-29 08:30 - Go MAEDA

- Status changed from New to Closed

Files

MimeType.patch 1.02 KB 2008-11-17 Vincent Castellano

MimeType.patch 1016 Bytes 2008-11-17 Vincent Castellano

dl_repo_files_with_MimeType_r2823.patch 944 Bytes 2009-07-18 Chris Grieger
